#ifndef PART2_H
#define PART2_H

#include <openssl/bn.h>

#define NUM_DIFFIE_HELLMAN_PARAMS 3

struct DiffieHellmanParameters {
  BIGNUM *p;
  BIGNUM *q;
  BIGNUM *g;

  /* Note to students: don't worry about the constructor for this struct or the
     num_inited variable. */
  DiffieHellmanParameters();
  static int num_inited;
};

extern struct DiffieHellmanParameters DH_PARAMS_398[NUM_DIFFIE_HELLMAN_PARAMS];

#endif /* PART2_H */
